summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGunnar Wrobel <wrobel@gentoo.org>2007-10-28 18:00:05 +0000
committerGunnar Wrobel <wrobel@gentoo.org>2007-10-28 18:00:05 +0000
commite3edfc4eda2ec008b9f46a9f713f12fb0950fa04 (patch)
tree0a990eb61cd14ae0b9dd350d621378795b83da2e /www-apps
parentThe virtuals were moved into portage. (diff)
downloadwebapps-experimental-e3edfc4eda2ec008b9f46a9f713f12fb0950fa04.tar.gz
webapps-experimental-e3edfc4eda2ec008b9f46a9f713f12fb0950fa04.tar.bz2
webapps-experimental-e3edfc4eda2ec008b9f46a9f713f12fb0950fa04.zip
Added phpgedview-4.1.2 to the overlay (#134502)
svn path=/experimental/; revision=669
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/phpgedview/ChangeLog3
-rw-r--r--www-apps/phpgedview/Manifest4
-rw-r--r--www-apps/phpgedview/phpgedview-4.1.2.ebuild63
3 files changed, 69 insertions, 1 deletions
diff --git a/www-apps/phpgedview/ChangeLog b/www-apps/phpgedview/ChangeLog
index c6c8a4b..f6ceec0 100644
--- a/www-apps/phpgedview/ChangeLog
+++ b/www-apps/phpgedview/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 28 Oct 2007; wrobel@gentoo.org +phpgedview-4.1.2.ebuild:
+ Added phpgedview-4.1.2 to the overlay (#134502)
+
14 Sep 2007; Jakub Moc <jakub@gentoo.org> phpgedview-4.1.ebuild:
Use virtual/httpd-cgi for webserver dependency
diff --git a/www-apps/phpgedview/Manifest b/www-apps/phpgedview/Manifest
index 9e03902..859bbe0 100644
--- a/www-apps/phpgedview/Manifest
+++ b/www-apps/phpgedview/Manifest
@@ -1,5 +1,7 @@
AUX postinstall-en.txt 96 RMD160 06fccc1bd3a564666b59221c6d59de7274ed6d8d SHA1 15ae53c832dcfbfa84e0c4f915ad44cfd1d36d46 SHA256 241811b76e4ca309782786566c73122fb69b6f71383896731c17687b56e624f2
DIST PhpGedView-4.1-all.zip 12356252 RMD160 a5f3f3e4a5140375cef8cf7bd369dd2d96c74b81 SHA1 db0986e463c715ec43d4c63bf0d9035b3a0708fc SHA256 d64191302f06a843da5bcb25cd334585acfc5d8355049aec3011d300a26b778a
+DIST PhpGedView-all-4.1.2.zip 14152654 RMD160 ee398d66777ca03152f783d8896251165b3f9fb0 SHA1 e0cc6880440b407fec92eca1a84e1806cca4fed6 SHA256 8fe6400078a314dc51bd6a3224044e15baf2830cc4f536a71b9c51dda70d9d96
+EBUILD phpgedview-4.1.2.ebuild 1726 RMD160 9314b8f29c41b86b4aefb2e46de0f436be4f2af7 SHA1 2d0939e6285b5b7aed247eb6ec63df86bbea076d SHA256 ced458438e00dc3a24bf5662eb85de3fd67737b159e493c31417daaa51b64f2c
EBUILD phpgedview-4.1.ebuild 1723 RMD160 22e338e01f2f528837eab0c4e98b1a0e6f6d3699 SHA1 c145a422c9382cb347e69f005783e069c36c2685 SHA256 4a7bdf452fcbdf46d8eb03e9010b94ce604a0bd5e6d087a60e368b70f4402e35
-MISC ChangeLog 818 RMD160 9e8b3a43ab33e1bafc1c661d7a4b57c82d4f16d0 SHA1 4a0419427824c527b1c3f19e50e911892645e5a8 SHA256 4c59ca45c4024b3c12d371cda14ddec452d81692e21156038532d54f64059e1e
+MISC ChangeLog 928 RMD160 2b09b07ee4ea190a92d4ac86e11013d161b95b66 SHA1 f78e59db08560c822620b1b46c43efe20c941ad1 SHA256 2fefd5b3c8db24457c9c896ffbe23799eae0bde7700062152bc44a2b3d9c7a4b
MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/www-apps/phpgedview/phpgedview-4.1.2.ebuild b/www-apps/phpgedview/phpgedview-4.1.2.ebuild
new file mode 100644
index 0000000..f05d32a
--- /dev/null
+++ b/www-apps/phpgedview/phpgedview-4.1.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit webapp depend.php
+
+MY_PN="PhpGedView-all"
+DESCRIPTION="A genealogy program which allows you to view and edit your genealogy on your website"
+HOMEPAGE="http://www.phpgedview.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}.zip"
+
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+IUSE="calendar"
+
+DEPEND="app-arch/unzip"
+RDEPEND="virtual/httpd-cgi"
+
+need_php_httpd
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+pkg_setup() {
+ local flags="xml"
+ use calendar && flags="${flags} calendar"
+ local dbs="mssql mysql mysqli postgres sqlite"
+
+ ewarn "${PN} supports the following DB backends: ${dbs}"
+ ewarn "Support for at least one of them is required in PHP. Index mode is not supported any more!"
+
+ if ! PHPCHECKNODIE="yes" require_php_with_use ${flags} || \
+ ! PHPCHECKNODIE="yes" require_php_with_any_use gd gd-external || \
+ ! PHPCHECKNODIE="yes" require_php_with_any_use ${dbs} ; then
+ die "Re-install ${PHP_PKG} with ${flags}, either gd or gd-external and at least one of ${dbs} in USE."
+ fi
+
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc changelog.txt
+ rm -f {changelog,GPL}.txt
+
+ dodir ${MY_HOSTROOTDIR}/${PF}
+ cp -R * "${D}"${MY_HTDOCSDIR}
+ mv "${D}"${MY_HTDOCSDIR}/index "${D}"/${MY_HOSTROOTDIR}/${PF}
+
+ local configs="config_gedcom.php config.php config_download.php"
+ local servers="config.php media"
+
+ for a in ${configs}; do
+ webapp_configfile "${MY_HTDOCSDIR}/${a}"
+ done
+ for b in ${servers}; do
+ webapp_serverowned "${MY_HTDOCSDIR}/${b}"
+ done
+ webapp_serverowned "${MY_HOSTROOTDIR}/${PF}/index"
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+ webapp_src_install
+}